Subject: Re: [PATCH v4 1/3] completion: add sparse-checkout tests

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Jan 2022 17:56:56 -0800

Elijah Newren <[email-masked]> writes:

> On Thu, Jan 27, 2022 at 1:21 PM Lessley Dennington via GitGitGadget
> <[email-masked]> wrote:
>>
>> From: Lessley Dennington <[email-masked]>
>>
>> Add tests for missing/incorrect components of custom tab completion for
>> the sparse-checkout command. These tests specifically highlight the
>> following:
>>
>> 1. git sparse-checkout <TAB> results in an incomplete list of subcommands
>> (it is missing reapply and add).
>> 2. git sparse-checkout set <TAB> and git sparse-checkout add <TAB> show
>> both file names and directory names. While this is the correct behavior
>
> s/is/may be/

I would stop at "this may be a less surprising behaviour" without
going into "correctness".

>> +test_expect_success 'non-cone mode sparse-checkout uses bash completion' '
>> +       # reset sparse-checkout repo to non-cone mode
>> +       git -C sparse-checkout sparse-checkout disable &&
>> +       git -C sparse-checkout sparse-checkout set &&
>
> Can we add a --no-cone here in preparation for the default to switch?

It would be good to do so, if we plan to switch the default.